org.jfree.xml.writer

## Class AttributeList

- java.lang.Object
- - org.jfree.xml.writer.AttributeList

-     public class AttributeList
      extends java.lang.Object

  The attribute list is used by a writer to specify the attributes of an XML element in a certain order.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeList()` Creates an empty attribute list with no default values.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAttribute(java.lang.String name)` Returns the attribute value for the given attribute name or null, if the attribute is not defined in this list.
    `java.lang.String` | `getAttribute(java.lang.String name, java.lang.String defaultValue)` Returns the attribute value for the given attribute name or the given defaultvalue, if the attribute is not defined in this list.
    `java.util.Iterator` | `keys()` Returns an iterator over all attribute names.
    `void` | `removeAttribute(java.lang.String name)` Removes the attribute with the given name from the list.
    `void` | `setAttribute(java.lang.String name, java.lang.String value)` Defines an attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeList

          public AttributeList()

      Creates an empty attribute list with no default values.

  - ### Method Detail

    - #### keys

          public java.util.Iterator keys()

      Returns an iterator over all attribute names. The names are returned in their oder of addition to the list. The iterator contains strings.
      Returns:
        the iterator over all attribute names.

    - #### setAttribute

          public void setAttribute(java.lang.String name,
                          java.lang.String value)

      Defines an attribute.
      Parameters:
        `name` - the name of the attribute to be defined
        `value` - the value of the attribute.

    - #### getAttribute

          public java.lang.String getAttribute(java.lang.String name)

      Returns the attribute value for the given attribute name or null, if the attribute is not defined in this list.
      Parameters:
        `name` - the name of the attribute
      Returns:
        the attribute value or null.

    - #### getAttribute

          public java.lang.String getAttribute(java.lang.String name,
                                      java.lang.String defaultValue)

      Returns the attribute value for the given attribute name or the given defaultvalue, if the attribute is not defined in this list.
      Parameters:
        `name` - the name of the attribute.
        `defaultValue` - the default value.
      Returns:
        the attribute value or the defaultValue.

    - #### removeAttribute

          public void removeAttribute(java.lang.String name)

      Removes the attribute with the given name from the list.
      Parameters:
        `name` - the name of the attribute which should be removed..